View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18091Bug reportsSurvey editingpublic2022-05-16 11:19
Reporterc_schmitz Assigned Toc_schmitz  
PriorityurgentSeveritypartial_block 
Status closedResolutionfixed 
Product Version5.3.x 
Summary18091: Default location for the OpenStreetMap intregration in the short text question type is not working
Description

Default location for the OpenStreetMap intregration in the short text question type is not working

Steps To Reproduce

Steps to reproduce

Create a survey with one short text question type, activate map service and set it to OpenStreetMap
Enter for default location some coordinates, for example; "-8,76194 -63,90389" (without quotes)

Expected result

When testing the survey the middle point of the map should be at the default location.

Actual result

Default location is ignored.

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)5.3.12
I will donate to the project if issue is resolvedNo
Browser
Database type & versionn/a
Server OS (if known)
Webserver software & version (if known)
PHP Versionn/a

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2022-05-06 16:31

developer   ~69486

And with dot ?
-8.76194 -63.90389

It's OK in 3.X with dot.

DenisChenu

DenisChenu

2022-05-07 13:57

developer   ~69499

Seems OK with dot in 5.X too
Maybe adding in help text ?

limesurvey_survey_MAP.lss (30,822 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>486</DBVersion>
 <languages>
  <language>fr</language>
  <language>en</language>
 </languages>
 <defaultvalues>
  <fields>
   <fieldname>dvid</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>sqid</fieldname>
   <fieldname>specialtype</fieldname>
  </fields>
  <rows>
   <row>
    <dvid><![CDATA[6]]></dvid>
    <qid><![CDATA[1135]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[0]]></sqid>
    <specialtype/>
   </row>
  </rows>
 </defaultvalues>
 <defaultvalue_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>dvid</fieldname>
   <fieldname>language</fieldname>
   <fieldname>defaultvalue</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[16]]></id>
    <dvid><![CDATA[6]]></dvid>
    <language><![CDATA[fr]]></language>
    <defaultvalue><![CDATA[N]]></defaultvalue>
   </row>
  </rows>
 </defaultvalue_l10ns>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[71]]></gid>
    <sid><![CDATA[35666]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <group_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[94]]></id>
    <gid><![CDATA[71]]></gid>
    <group_name><![CDATA[Group]]></group_name>
    <description/>
    <language><![CDATA[en]]></language>
    <sid><![CDATA[35666]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
   <row>
    <id><![CDATA[93]]></id>
    <gid><![CDATA[71]]></gid>
    <group_name><![CDATA[Groupe]]></group_name>
    <description/>
    <language><![CDATA[fr]]></language>
    <sid><![CDATA[35666]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </group_l10ns>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>question_theme_name</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[1133]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[35666]]></sid>
    <gid><![CDATA[71]]></gid>
    <type><![CDATA[S]]></type>
    <title><![CDATA[Sosm]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance/>
    <modulename/>
    <question_theme_name><![CDATA[shortfreetext]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[1134]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[35666]]></sid>
    <gid><![CDATA[71]]></gid>
    <type><![CDATA[S]]></type>
    <title><![CDATA[Sgoogle]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[3]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance/>
    <modulename/>
    <question_theme_name><![CDATA[shortfreetext]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[1135]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[35666]]></sid>
    <gid><![CDATA[71]]></gid>
    <type><![CDATA[Y]]></type>
    <title><![CDATA[Montre]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <question_theme_name><![CDATA[yesno]]></question_theme_name>
   </row>
  </rows>
 </questions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>script</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[1830]]></id>
    <qid><![CDATA[1133]]></qid>
    <question><![CDATA[Short text box with map service]]></question>
    <help><![CDATA[With the use of OpenStreetMap via Mapquest]]></help>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[1829]]></id>
    <qid><![CDATA[1133]]></qid>
    <question><![CDATA[Zone de texte court avec service de cartographie]]></question>
    <help><![CDATA[Avec l‘utilisation de OpenStreetMap via mapquest]]></help>
    <language><![CDATA[fr]]></language>
   </row>
   <row>
    <id><![CDATA[1832]]></id>
    <qid><![CDATA[1134]]></qid>
    <question><![CDATA[Short text box with map service]]></question>
    <help><![CDATA[With the use of Google Map: requires an account (track your users)]]></help>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[1831]]></id>
    <qid><![CDATA[1134]]></qid>
    <question><![CDATA[Zone de texte court avec service de cartographie]]></question>
    <help><![CDATA[Avec l‘utilisation de google map : nécessite un compte (trace vos utilisateurs).]]></help>
    <language><![CDATA[fr]]></language>
   </row>
   <row>
    <id><![CDATA[1834]]></id>
    <qid><![CDATA[1135]]></qid>
    <question><![CDATA[Shows map services type questions]]></question>
    <help/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[1833]]></id>
    <qid><![CDATA[1135]]></qid>
    <question><![CDATA[Montre les questions de type cartographie]]></question>
    <help/>
    <language><![CDATA[fr]]></language>
   </row>
  </rows>
 </question_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[1133]]></qid>
    <attribute><![CDATA[location_defaultcoordinates]]></attribute>
    <value><![CDATA[ 50.698102 3.160436 ]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1133]]></qid>
    <attribute><![CDATA[location_mapservice]]></attribute>
    <value><![CDATA[100]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1133]]></qid>
    <attribute><![CDATA[location_nodefaultfromip]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1134]]></qid>
    <attribute><![CDATA[location_city]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1134]]></qid>
    <attribute><![CDATA[location_country]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1134]]></qid>
    <attribute><![CDATA[location_defaultcoordinates]]></attribute>
    <value><![CDATA[50.698102 3.160436]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1134]]></qid>
    <attribute><![CDATA[location_mapservice]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1134]]></qid>
    <attribute><![CDATA[location_nodefaultfromip]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1134]]></qid>
    <attribute><![CDATA[location_postal]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1135]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>ipanonymize</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
   <fieldname>tokenencryptionoptions</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[35666]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[Denis Chenu]]></admin>
    <adminemail><![CDATA[denis@sondages.pro]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[A]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[vanilla]]></template>
    <language><![CDATA[en]]></language>
    <additional_languages><![CDATA[fr]]></additional_languages>
    <datestamp><![CDATA[N]]></datestamp>
    <usecookie><![CDATA[N]]></usecookie>
    <allowregister><![CDATA[N]]></allowregister>
    <allowsave><![CDATA[N]]></allowsave>
    <autonumber_start><![CDATA[525]]></autonumber_start>
    <autoredirect><![CDATA[N]]></autoredirect>
    <allowprev><![CDATA[N]]></allowprev>
    <printanswers><![CDATA[N]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <ipanonymize><![CDATA[N]]></ipanonymize>
    <refurl><![CDATA[N]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[N]]></publicstatistics>
    <publicgraphs><![CDATA[N]]></publicgraphs>
    <listpublic><![CDATA[Y]]></listpublic>
    <htmlemail><![CDATA[Y]]></htmlemail>
    <sendconfirmation><![CDATA[Y]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[N]]></tokenanswerspersistence>
    <assessments><![CDATA[N]]></assessments>
    <usecaptcha><![CDATA[N]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[denis@sondages.pro]]></bounce_email>
    <attributedescriptions><![CDATA[[]]]></attributedescriptions>
    <emailresponseto/>
    <emailnotificationto/>
    <tokenlength><![CDATA[15]]></tokenlength>
    <showxquestions><![CDATA[N]]></showxquestions>
    <showgroupinfo><![CDATA[X]]></showgroupinfo>
    <shownoanswer><![CDATA[Y]]></shownoanswer>
    <showqnumcode><![CDATA[C]]></showqnumcode>
    <bouncetime><![CDATA[0]]></bouncetime>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <bounceaccounttype/>
    <bounceaccounthost/>
    <bounceaccountpass/>
    <bounceaccountencryption/>
    <bounceaccountuser/>
    <showwelcome><![CDATA[N]]></showwelcome>
    <showprogress><![CDATA[N]]></showprogress>
    <questionindex><![CDATA[0]]></questionindex>
    <navigationdelay><![CDATA[0]]></navigationdelay>
    <nokeyboard><![CDATA[N]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[N]]></alloweditaftercompletion>
    <googleanalyticsstyle><![CDATA[0]]></googleanalyticsstyle>
    <googleanalyticsapikey/>
    <tokenencryptionoptions/>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[35666]]></surveyls_survey_id>
    <surveyls_language><![CDATA[en]]></surveyls_language>
    <surveyls_title><![CDATA[Short text box with mapping service]]></surveyls_title>
    <surveyls_url/>
    <surveyls_email_invite_subj><![CDATA[Invitation to participate in a survey]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Dear {FIRSTNAME},<br />
<br />
you have been invited to participate in a survey.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}<br />
<br />
If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Reminder to participate in a survey]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Dear {FIRSTNAME},<br />
<br />
Recently we invited you to participate in a survey.<br />
<br />
We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Survey registration confirmation]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Dear {FIRSTNAME},<br />
<br />
You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br />
<br />
To complete this survey, click on the following URL:<br />
<br />
{SURVEYURL}<br />
<br />
If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation of your participation in our survey]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Dear {FIRSTNAME},<br />
<br />
this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br />
<br />
If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[9]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Response submission for survey {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Response submission for survey {SURVEYNAME} with results]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}<br />
<br />
<br />
The following answers were given by the participant:<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
   <row>
    <surveyls_survey_id><![CDATA[35666]]></surveyls_survey_id>
    <surveyls_language><![CDATA[fr]]></surveyls_language>
    <surveyls_title><![CDATA[Zone de texte court avec service de cartographie]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation à participer à un questionnaire]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Cher(e) {FIRSTNAME},<br /><br />Vous avez été invité à participer à un questionnaire.<br /><br />Celui-ci est intitulé :<br />"{SURVEYNAME}"<br /><br />"{SURVEYDESCRIPTION}"<br /><br />Pour participer, veuillez cliquer sur le lien ci-dessous.<br /><br />Cordialement,<br /><br />{ADMINNAME} ({ADMINEMAIL})<br /><br />----------------------------------------------<br />Cliquez ici pour remplir ce questionnaire :<br />{SURVEYURL}<br /><br />Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />{OPTOUTURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Rappel pour participer à un questionnaire]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Cher(e) {FIRSTNAME},<br /><br />Vous avez été invité à participer à un questionnaire récemment.<br /><br />Nous avons pris en compte que vous n'avez pas encore complété le questionnaire, et nous vous rappelons que celui-ci est toujours disponible si vous souhaitez participer.<br /><br />Le questionnaire est intitulé :<br />"{SURVEYNAME}"<br /><br />"{SURVEYDESCRIPTION}"<br /><br />Pour participer, veuillez cliquer sur le lien ci-dessous.<br /><br />Cordialement,<br /><br />{ADMINNAME} ({ADMINEMAIL})<br /><br />----------------------------------------------<br />Cliquez ici pour faire le questionnaire:<br />{SURVEYURL}<br /><br />Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Confirmation d'enregistrement au questionnaire]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Cher(e){FIRSTNAME},<br /><br />Vous (ou quelqu'un utilisant votre adresse électronique) vous êtes enregistré pour participer à un questionnaire en ligne intitulé {SURVEYNAME}.<br /><br />Pour compléter ce questionnaire, cliquez sur le lien suivant :<br /><br />{SURVEYURL}<br /><br />Si vous avez des questions à propos de ce questionnaire, ou si vous ne vous êtes pas enregistré pour participer à celui-ci et croyez que ce courriel est une erreur, veuillez contacter {ADMINNAME} sur {ADMINEMAIL}]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation de votre participation à notre questionnaire]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Cher(e) {FIRSTNAME},<br /><br />Ce courriel vous confirme que vous avez complété le questionnaire intitulé {SURVEYNAME} et que votre réponse a été enregistrée. Merci pour votre participation.<br /><br />Si vous avez des questions à propos de ce courriel, veuillez contacter {ADMINNAME} sur {ADMINEMAIL}.<br /><br />Cordialement,<br /><br />{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[1]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Bonjour,<br /><br />Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br /><br />Cliquer sur le lien suivant pour recharger votre questionnaire :<br />{RELOADURL}<br /><br />Cliquer sur le lien suivant pour voir la réponse :<br />{VIEWRESPONSEURL}<br /><br />Cliquer sur le lien suivant pour éditer la réponse :<br />{EDITRESPONSEURL}<br /><br />Visualiser les statistiques en cliquant ici :<br />{STATISTICSURL}<br /><br />les réponses suivantes ont été données par le participant :<br />{ANSWERTABLE}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME} avec résultats]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[<style type="text/css">
                                                .printouttable {
                                                  margin:1em auto;
                                                }
                                                .printouttable th {
                                                  text-align: center;
                                                }
                                                .printouttable td {
                                                  border-color: #ddf #ddf #ddf #ddf;
                                                  border-style: solid;
                                                  border-width: 1px;
                                                  padding:0.1em 1em 0.1em 0.5em;
                                                }

                                                .printouttable td:first-child {
                                                  font-weight: 700;
                                                  text-align: right;
                                                  padding-right: 5px;
                                                  padding-left: 5px;

                                                }
                                                .printouttable .printanswersquestion td{
                                                  background-color:#F7F8FF;
                                                }

                                                .printouttable .printanswersquestionhead td{
                                                  text-align: left;
                                                  background-color:#ddf;
                                                }

                                                .printouttable .printanswersgroup td{
                                                  text-align: center;        
                                                  font-weight:bold;
                                                  padding-top:1em;
                                                }
                                                </style>Bonjour,<br /><br />Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br /><br />Cliquer sur le lien suivant pour recharger votre questionnaire :<br />{RELOADURL}<br /><br />Cliquer sur le lien suivant pour voir la réponse :<br />{VIEWRESPONSEURL}<br /><br />Cliquez sur le lien suivant pour éditer la réponse individuelle :<br />{EDITRESPONSEURL}<br /><br />Visualiser les statistiques en cliquant ici :<br />{STATISTICSURL}<br /><br /><br />les réponses suivantes ont été données par le participant :<br />{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[1]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>35666</sid>
   <template_name>bootswatch</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
  <theme>
   <sid>35666</sid>
   <template_name>fruity</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
  <theme>
   <sid>35666</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>
     <general_inherit>1</general_inherit>
     <showpopups>inherit</showpopups>
     <fixnumauto>inherit</fixnumauto>
     <theme>image::theme::css/variations/flatly-awesome.min.css</theme>
     <questionsize>inherit</questionsize>
     <questioncolor>inherit</questioncolor>
     <dangercolor>inherit</dangercolor>
     <questionwrap>inherit</questionwrap>
     <helpcolor>inherit</helpcolor>
     <validitycolor>inherit</validitycolor>
     <descriptiondisplay>inherit</descriptiondisplay>
     <titlelocation>inherit</titlelocation>
     <brandlogofile>inherit</brandlogofile>
     <surveylistlogofile>inherit</surveylistlogofile>
     <poweredlogofile>inherit</poweredlogofile>
     <hideprivacyinfo>inherit</hideprivacyinfo>
     <showclearall>inherit</showclearall>
     <errorattop>inherit</errorattop>
     <questionhtag>inherit</questionhtag>
     <dynamicvalidity>inherit</dynamicvalidity>
     <removeback>inherit</removeback>
     <tableheader>inherit</tableheader>
     <savelink>inherit</savelink>
     <clearalllink>inherit</clearalllink>
     <indexlink>inherit</indexlink>
     <languagelink>inherit</languagelink>
     <previouslink>inherit</previouslink>
     <nextsubmitlink>inherit</nextsubmitlink>
     <container>inherit</container>
     <headercontainer>inherit</headercontainer>
     <fixedheader>inherit</fixedheader>
     <bodyloaded>inherit</bodyloaded>
     <brandlogo>inherit</brandlogo>
     <brandlogoasbanner>inherit</brandlogoasbanner>
     <surveylistlogo>inherit</surveylistlogo>
     <poweredlogo>inherit</poweredlogo>
     <poweredlink>inherit</poweredlink>
     <poweredtext>inherit</poweredtext>
     <availablevariations>inherit</availablevariations>
    </options>
   </config>
  </theme>
  <theme>
   <sid>35666</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>35666</sid>
   <template_name>bootswatch</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <hideprivacyinfo>off</hideprivacyinfo>
     <brandlogofile>image::theme::files/logo.png</brandlogofile>
     <font>noto</font>
     <showpopups>1</showpopups>
     <showclearall>off</showclearall>
     <questionhelptextposition>top</questionhelptextposition>
    </options>
   </config>
  </theme>
  <theme>
   <sid>35666</sid>
   <template_name>fruity</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <hideprivacyinfo>off</hideprivacyinfo>
     <brandlogofile>image::theme::files/logo.png</brandlogofile>
     <font>noto</font>
     <showpopups>1</showpopups>
     <showclearall>off</showclearall>
     <questionhelptextposition>top</questionhelptextposition>
    </options>
   </config>
  </theme>
  <theme>
   <sid>35666</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>
     <general_inherit>1</general_inherit>
     <showpopups>1</showpopups>
     <theme>image::theme::css/variations/flatly-awesome.min.css</theme>
     <brandlogofile>image::theme::files/logo.png</brandlogofile>
     <hideprivacyinfo>off</hideprivacyinfo>
     <showclearall>off</showclearall>
     <container>on</container>
     <brandlogo>on</brandlogo>
    </options>
   </config>
  </theme>
  <theme>
   <sid>35666</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <hideprivacyinfo>off</hideprivacyinfo>
     <brandlogofile>image::theme::files/logo.png</brandlogofile>
     <font>noto</font>
     <showpopups>1</showpopups>
     <showclearall>off</showclearall>
     <questionhelptextposition>top</questionhelptextposition>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
limesurvey_survey_MAP.lss (30,822 bytes)   
DenisChenu

DenisChenu

2022-05-07 13:57

developer   ~69500

https://master.sondages.pro/35666?newtest=Y&amp;lang=en

DenisChenu

DenisChenu

2022-05-08 11:12

developer   ~69505

But default value didn't work.

Please : about default position : OSM is better, set a position but didn't set the value.
Default value must be fixed.
location_defaultcoordinates is OK

limesurvey_survey_MapDefaultValue.lss (29,205 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>486</DBVersion>
 <languages>
  <language>fr</language>
  <language>en</language>
 </languages>
 <defaultvalues>
  <fields>
   <fieldname>dvid</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>sqid</fieldname>
   <fieldname>specialtype</fieldname>
  </fields>
  <rows>
   <row>
    <dvid><![CDATA[7]]></dvid>
    <qid><![CDATA[1138]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[0]]></sqid>
    <specialtype/>
   </row>
   <row>
    <dvid><![CDATA[8]]></dvid>
    <qid><![CDATA[1136]]></qid>
    <scale_id><![CDATA[0]]></scale_id>
    <sqid><![CDATA[0]]></sqid>
    <specialtype/>
   </row>
  </rows>
 </defaultvalues>
 <defaultvalue_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>dvid</fieldname>
   <fieldname>language</fieldname>
   <fieldname>defaultvalue</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[17]]></id>
    <dvid><![CDATA[7]]></dvid>
    <language><![CDATA[fr]]></language>
    <defaultvalue><![CDATA[N]]></defaultvalue>
   </row>
   <row>
    <id><![CDATA[18]]></id>
    <dvid><![CDATA[8]]></dvid>
    <language><![CDATA[en]]></language>
    <defaultvalue><![CDATA[50.698102 3.160436]]></defaultvalue>
   </row>
   <row>
    <id><![CDATA[19]]></id>
    <dvid><![CDATA[8]]></dvid>
    <language><![CDATA[fr]]></language>
    <defaultvalue><![CDATA[ 50.698102 3.160436]]></defaultvalue>
   </row>
  </rows>
 </defaultvalue_l10ns>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[72]]></gid>
    <sid><![CDATA[414381]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <group_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[95]]></id>
    <gid><![CDATA[72]]></gid>
    <group_name><![CDATA[Group]]></group_name>
    <description/>
    <language><![CDATA[en]]></language>
    <sid><![CDATA[414381]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
   <row>
    <id><![CDATA[96]]></id>
    <gid><![CDATA[72]]></gid>
    <group_name><![CDATA[Groupe]]></group_name>
    <description/>
    <language><![CDATA[fr]]></language>
    <sid><![CDATA[414381]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </group_l10ns>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>question_theme_name</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[1136]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[414381]]></sid>
    <gid><![CDATA[72]]></gid>
    <type><![CDATA[S]]></type>
    <title><![CDATA[Sosm]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[1]]></same_default>
    <relevance/>
    <modulename/>
    <question_theme_name><![CDATA[shortfreetext]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[1138]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[414381]]></sid>
    <gid><![CDATA[72]]></gid>
    <type><![CDATA[Y]]></type>
    <title><![CDATA[Montre]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <question_theme_name><![CDATA[yesno]]></question_theme_name>
   </row>
  </rows>
 </questions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>script</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[1835]]></id>
    <qid><![CDATA[1136]]></qid>
    <question><![CDATA[Short text box with map service]]></question>
    <help><![CDATA[With the use of OpenStreetMap via Mapquest]]></help>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[1836]]></id>
    <qid><![CDATA[1136]]></qid>
    <question><![CDATA[Zone de texte court avec service de cartographie]]></question>
    <help><![CDATA[Avec l‘utilisation de OpenStreetMap via mapquest]]></help>
    <language><![CDATA[fr]]></language>
   </row>
   <row>
    <id><![CDATA[1839]]></id>
    <qid><![CDATA[1138]]></qid>
    <question><![CDATA[Shows map services type questions]]></question>
    <help/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[1840]]></id>
    <qid><![CDATA[1138]]></qid>
    <question><![CDATA[Montre les questions de type cartographie]]></question>
    <help/>
    <language><![CDATA[fr]]></language>
   </row>
  </rows>
 </question_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[1136]]></qid>
    <attribute><![CDATA[location_defaultcoordinates]]></attribute>
    <value><![CDATA[ 50.698102 3.160436 ]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1136]]></qid>
    <attribute><![CDATA[location_mapservice]]></attribute>
    <value><![CDATA[100]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1136]]></qid>
    <attribute><![CDATA[location_nodefaultfromip]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1138]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>ipanonymize</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
   <fieldname>tokenencryptionoptions</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[414381]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[Denis Chenu]]></admin>
    <adminemail><![CDATA[denis@sondages.pro]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[A]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[vanilla]]></template>
    <language><![CDATA[en]]></language>
    <additional_languages><![CDATA[fr]]></additional_languages>
    <datestamp><![CDATA[N]]></datestamp>
    <usecookie><![CDATA[N]]></usecookie>
    <allowregister><![CDATA[N]]></allowregister>
    <allowsave><![CDATA[N]]></allowsave>
    <autonumber_start><![CDATA[525]]></autonumber_start>
    <autoredirect><![CDATA[N]]></autoredirect>
    <allowprev><![CDATA[N]]></allowprev>
    <printanswers><![CDATA[N]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <ipanonymize><![CDATA[N]]></ipanonymize>
    <refurl><![CDATA[N]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[N]]></publicstatistics>
    <publicgraphs><![CDATA[N]]></publicgraphs>
    <listpublic><![CDATA[Y]]></listpublic>
    <htmlemail><![CDATA[Y]]></htmlemail>
    <sendconfirmation><![CDATA[Y]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[N]]></tokenanswerspersistence>
    <assessments><![CDATA[N]]></assessments>
    <usecaptcha><![CDATA[N]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[denis@sondages.pro]]></bounce_email>
    <attributedescriptions><![CDATA[[]]]></attributedescriptions>
    <emailresponseto/>
    <emailnotificationto/>
    <tokenlength><![CDATA[15]]></tokenlength>
    <showxquestions><![CDATA[N]]></showxquestions>
    <showgroupinfo><![CDATA[X]]></showgroupinfo>
    <shownoanswer><![CDATA[Y]]></shownoanswer>
    <showqnumcode><![CDATA[C]]></showqnumcode>
    <bouncetime><![CDATA[0]]></bouncetime>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <bounceaccounttype/>
    <bounceaccounthost/>
    <bounceaccountpass/>
    <bounceaccountencryption/>
    <bounceaccountuser/>
    <showwelcome><![CDATA[N]]></showwelcome>
    <showprogress><![CDATA[N]]></showprogress>
    <questionindex><![CDATA[0]]></questionindex>
    <navigationdelay><![CDATA[0]]></navigationdelay>
    <nokeyboard><![CDATA[N]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[N]]></alloweditaftercompletion>
    <googleanalyticsstyle><![CDATA[0]]></googleanalyticsstyle>
    <googleanalyticsapikey/>
    <tokenencryptionoptions/>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[414381]]></surveyls_survey_id>
    <surveyls_language><![CDATA[en]]></surveyls_language>
    <surveyls_title><![CDATA[Short text box with mapping and default value]]></surveyls_title>
    <surveyls_url/>
    <surveyls_email_invite_subj><![CDATA[Invitation to participate in a survey]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Dear {FIRSTNAME},<br />
<br />
you have been invited to participate in a survey.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}<br />
<br />
If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Reminder to participate in a survey]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Dear {FIRSTNAME},<br />
<br />
Recently we invited you to participate in a survey.<br />
<br />
We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Survey registration confirmation]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Dear {FIRSTNAME},<br />
<br />
You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br />
<br />
To complete this survey, click on the following URL:<br />
<br />
{SURVEYURL}<br />
<br />
If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation of your participation in our survey]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Dear {FIRSTNAME},<br />
<br />
this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br />
<br />
If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[9]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Response submission for survey {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Response submission for survey {SURVEYNAME} with results]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}<br />
<br />
<br />
The following answers were given by the participant:<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
   <row>
    <surveyls_survey_id><![CDATA[414381]]></surveyls_survey_id>
    <surveyls_language><![CDATA[fr]]></surveyls_language>
    <surveyls_title><![CDATA[Short text box with mapping and default value]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation à participer à un questionnaire]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Cher(e) {FIRSTNAME},<br /><br />Vous avez été invité à participer à un questionnaire.<br /><br />Celui-ci est intitulé :<br />"{SURVEYNAME}"<br /><br />"{SURVEYDESCRIPTION}"<br /><br />Pour participer, veuillez cliquer sur le lien ci-dessous.<br /><br />Cordialement,<br /><br />{ADMINNAME} ({ADMINEMAIL})<br /><br />----------------------------------------------<br />Cliquez ici pour remplir ce questionnaire :<br />{SURVEYURL}<br /><br />Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />{OPTOUTURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Rappel pour participer à un questionnaire]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Cher(e) {FIRSTNAME},<br /><br />Vous avez été invité à participer à un questionnaire récemment.<br /><br />Nous avons pris en compte que vous n'avez pas encore complété le questionnaire, et nous vous rappelons que celui-ci est toujours disponible si vous souhaitez participer.<br /><br />Le questionnaire est intitulé :<br />"{SURVEYNAME}"<br /><br />"{SURVEYDESCRIPTION}"<br /><br />Pour participer, veuillez cliquer sur le lien ci-dessous.<br /><br />Cordialement,<br /><br />{ADMINNAME} ({ADMINEMAIL})<br /><br />----------------------------------------------<br />Cliquez ici pour faire le questionnaire:<br />{SURVEYURL}<br /><br />Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Confirmation d'enregistrement au questionnaire]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Cher(e){FIRSTNAME},<br /><br />Vous (ou quelqu'un utilisant votre adresse électronique) vous êtes enregistré pour participer à un questionnaire en ligne intitulé {SURVEYNAME}.<br /><br />Pour compléter ce questionnaire, cliquez sur le lien suivant :<br /><br />{SURVEYURL}<br /><br />Si vous avez des questions à propos de ce questionnaire, ou si vous ne vous êtes pas enregistré pour participer à celui-ci et croyez que ce courriel est une erreur, veuillez contacter {ADMINNAME} sur {ADMINEMAIL}]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation de votre participation à notre questionnaire]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Cher(e) {FIRSTNAME},<br /><br />Ce courriel vous confirme que vous avez complété le questionnaire intitulé {SURVEYNAME} et que votre réponse a été enregistrée. Merci pour votre participation.<br /><br />Si vous avez des questions à propos de ce courriel, veuillez contacter {ADMINNAME} sur {ADMINEMAIL}.<br /><br />Cordialement,<br /><br />{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[1]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Bonjour,<br /><br />Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br /><br />Cliquer sur le lien suivant pour recharger votre questionnaire :<br />{RELOADURL}<br /><br />Cliquer sur le lien suivant pour voir la réponse :<br />{VIEWRESPONSEURL}<br /><br />Cliquer sur le lien suivant pour éditer la réponse :<br />{EDITRESPONSEURL}<br /><br />Visualiser les statistiques en cliquant ici :<br />{STATISTICSURL}<br /><br />les réponses suivantes ont été données par le participant :<br />{ANSWERTABLE}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME} avec résultats]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[<style type="text/css">
                                                .printouttable {
                                                  margin:1em auto;
                                                }
                                                .printouttable th {
                                                  text-align: center;
                                                }
                                                .printouttable td {
                                                  border-color: #ddf #ddf #ddf #ddf;
                                                  border-style: solid;
                                                  border-width: 1px;
                                                  padding:0.1em 1em 0.1em 0.5em;
                                                }

                                                .printouttable td:first-child {
                                                  font-weight: 700;
                                                  text-align: right;
                                                  padding-right: 5px;
                                                  padding-left: 5px;

                                                }
                                                .printouttable .printanswersquestion td{
                                                  background-color:#F7F8FF;
                                                }

                                                .printouttable .printanswersquestionhead td{
                                                  text-align: left;
                                                  background-color:#ddf;
                                                }

                                                .printouttable .printanswersgroup td{
                                                  text-align: center;        
                                                  font-weight:bold;
                                                  padding-top:1em;
                                                }
                                                </style>Bonjour,<br /><br />Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br /><br />Cliquer sur le lien suivant pour recharger votre questionnaire :<br />{RELOADURL}<br /><br />Cliquer sur le lien suivant pour voir la réponse :<br />{VIEWRESPONSEURL}<br /><br />Cliquez sur le lien suivant pour éditer la réponse individuelle :<br />{EDITRESPONSEURL}<br /><br />Visualiser les statistiques en cliquant ici :<br />{STATISTICSURL}<br /><br /><br />les réponses suivantes ont été données par le participant :<br />{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[1]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>414381</sid>
   <template_name>bootswatch</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
  <theme>
   <sid>414381</sid>
   <template_name>fruity</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
  <theme>
   <sid>414381</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>
     <general_inherit>1</general_inherit>
     <showpopups>inherit</showpopups>
     <fixnumauto>inherit</fixnumauto>
     <theme>image::theme::css/variations/flatly-awesome.min.css</theme>
     <questionsize>inherit</questionsize>
     <questioncolor>inherit</questioncolor>
     <dangercolor>inherit</dangercolor>
     <questionwrap>inherit</questionwrap>
     <helpcolor>inherit</helpcolor>
     <validitycolor>inherit</validitycolor>
     <descriptiondisplay>inherit</descriptiondisplay>
     <titlelocation>inherit</titlelocation>
     <brandlogofile>inherit</brandlogofile>
     <surveylistlogofile>inherit</surveylistlogofile>
     <poweredlogofile>inherit</poweredlogofile>
     <hideprivacyinfo>inherit</hideprivacyinfo>
     <showclearall>inherit</showclearall>
     <errorattop>inherit</errorattop>
     <questionhtag>inherit</questionhtag>
     <dynamicvalidity>inherit</dynamicvalidity>
     <removeback>inherit</removeback>
     <tableheader>inherit</tableheader>
     <savelink>inherit</savelink>
     <clearalllink>inherit</clearalllink>
     <indexlink>inherit</indexlink>
     <languagelink>inherit</languagelink>
     <previouslink>inherit</previouslink>
     <nextsubmitlink>inherit</nextsubmitlink>
     <container>inherit</container>
     <headercontainer>inherit</headercontainer>
     <fixedheader>inherit</fixedheader>
     <bodyloaded>inherit</bodyloaded>
     <brandlogo>inherit</brandlogo>
     <brandlogoasbanner>inherit</brandlogoasbanner>
     <surveylistlogo>inherit</surveylistlogo>
     <poweredlogo>inherit</poweredlogo>
     <poweredlink>inherit</poweredlink>
     <poweredtext>inherit</poweredtext>
     <availablevariations>inherit</availablevariations>
    </options>
   </config>
  </theme>
  <theme>
   <sid>414381</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>414381</sid>
   <template_name>bootswatch</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <hideprivacyinfo>off</hideprivacyinfo>
     <brandlogofile>image::theme::files/logo.png</brandlogofile>
     <font>noto</font>
     <showpopups>1</showpopups>
     <showclearall>off</showclearall>
     <questionhelptextposition>top</questionhelptextposition>
    </options>
   </config>
  </theme>
  <theme>
   <sid>414381</sid>
   <template_name>fruity</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <hideprivacyinfo>off</hideprivacyinfo>
     <brandlogofile>image::theme::files/logo.png</brandlogofile>
     <font>noto</font>
     <showpopups>1</showpopups>
     <showclearall>off</showclearall>
     <questionhelptextposition>top</questionhelptextposition>
    </options>
   </config>
  </theme>
  <theme>
   <sid>414381</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>
     <general_inherit>1</general_inherit>
     <showpopups>1</showpopups>
     <theme>image::theme::css/variations/flatly-awesome.min.css</theme>
     <brandlogofile>image::theme::files/logo.png</brandlogofile>
     <hideprivacyinfo>off</hideprivacyinfo>
     <showclearall>off</showclearall>
     <container>on</container>
     <brandlogo>on</brandlogo>
    </options>
   </config>
  </theme>
  <theme>
   <sid>414381</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <hideprivacyinfo>off</hideprivacyinfo>
     <brandlogofile>image::theme::files/logo.png</brandlogofile>
     <font>noto</font>
     <showpopups>1</showpopups>
     <showclearall>off</showclearall>
     <questionhelptextposition>top</questionhelptextposition>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
c_schmitz

c_schmitz

2022-05-09 13:56

administrator   ~69515

It is most likely the dot issue.
Will check and get back.

c_schmitz

c_schmitz

2022-05-09 14:06

administrator   ~69516

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33473

c_schmitz

c_schmitz

2022-05-09 14:06

administrator   ~69517

Thank you - added some help text as suggested.

DenisChenu

DenisChenu

2022-05-09 14:07

developer   ~69518

How it's saved in DB ?

unsure it was saved on same way for both …

c_schmitz

c_schmitz

2022-05-09 14:08

administrator   ~69519

IMHO it should not be saved unless it is moved.

DenisChenu

DenisChenu

2022-05-09 15:21

developer   ~69520

I checked : saved with ; ,
Default value to 50.64885;2.97077 work (with both).

default position : space
default value : ;

LimeBot

LimeBot

2022-05-16 11:19

administrator   ~69655

Fixed in Release 5.3.14+220516

Related Changesets

LimeSurvey: master 9e9d3b46

2022-05-09 14:05:55

c_schmitz

Details Diff
Fixed issue 18091: Default location for map integration in the short text question type is not working
Dev Added a hint to the help text for the correct format.
Affected Issues
18091
mod - application/helpers/questionHelper.php Diff File

Issue History

Date Modified Username Field Change
2022-05-06 16:15 c_schmitz New Issue
2022-05-06 16:15 c_schmitz Steps to Reproduce Updated
2022-05-06 16:15 c_schmitz Complete LimeSurvey version number (& build) n/a => 5.3.12
2022-05-06 16:16 c_schmitz Assigned To => gabrieljenik
2022-05-06 16:16 c_schmitz Priority none => urgent
2022-05-06 16:16 c_schmitz Severity minor => partial_block
2022-05-06 16:16 c_schmitz Status new => assigned
2022-05-06 16:31 DenisChenu Note Added: 69486
2022-05-06 16:31 DenisChenu Bug heat 0 => 2
2022-05-07 13:57 DenisChenu Note Added: 69499
2022-05-07 13:57 DenisChenu File Added: limesurvey_survey_MAP.lss
2022-05-07 13:57 DenisChenu Note Added: 69500
2022-05-08 11:12 DenisChenu Note Added: 69505
2022-05-08 11:12 DenisChenu File Added: limesurvey_survey_MapDefaultValue.lss
2022-05-08 11:12 DenisChenu File Added: Capture d’écran du 2022-05-08 11-12-08.png
2022-05-09 13:56 c_schmitz Note Added: 69515
2022-05-09 13:56 c_schmitz Bug heat 2 => 4
2022-05-09 14:06 c_schmitz Changeset attached => LimeSurvey master 9e9d3b46
2022-05-09 14:06 c_schmitz Note Added: 69516
2022-05-09 14:06 c_schmitz Assigned To gabrieljenik => c_schmitz
2022-05-09 14:06 c_schmitz Resolution open => fixed
2022-05-09 14:06 c_schmitz Status assigned => resolved
2022-05-09 14:06 c_schmitz Note Added: 69517
2022-05-09 14:07 DenisChenu Note Added: 69518
2022-05-09 14:08 c_schmitz Note Added: 69519
2022-05-09 15:21 DenisChenu Note Added: 69520
2022-05-16 11:19 LimeBot Note Added: 69655
2022-05-16 11:19 LimeBot Status resolved => closed
2022-05-16 11:19 LimeBot Bug heat 4 => 6